import { AfterViewInit, OnChanges, OnDestroy, ElementRef, Renderer2 } from '@angular/core';
import { L10nTranslationService } from '../services/l10n-translation.service';
import * as i0 from "@angular/core";
export declare abstract class L10nDirective implements AfterViewInit, OnChanges, OnDestroy {
    value?: string;
    set innerHTML(content: any);
    language?: string;
    protected el: ElementRef<any>;
    protected renderer: Renderer2;
    protected translation: L10nTranslationService;
    private content?;
    private text?;
    private attributes;
    private element?;
    private renderNode?;
    private nodeValue?;
    private textObserver?;
    private destroy;
    ngAfterViewInit(): void;
    ngOnChanges(): void;
    ngOnDestroy(): void;
    protected abstract getValue(text: string): string;
    private getText;
    private getNodeValue;
    private getAttributes;
    private addTextListener;
    private removeTextListener;
    private addTranslationListener;
    private replaceText;
    private replaceAttributes;
    private setText;
    private setAttributes;
    private getAttributesValues;
    static ɵfac: i0.ɵɵFactoryDeclaration<L10nDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<L10nDirective, never, never, { "value": "value"; "innerHTML": "innerHTML"; "language": "language"; }, {}, never, never, false>;
}
