import { L10nTranslationService } from './l10n-translation.service';
import { L10nRoutingService } from './l10n-routing.service';
import * as i0 from "@angular/core";
/**
 * Implement this class-interface to init L10n.
 */
export declare abstract class L10nLoader {
    /**
     * This method must contain the logic to init L10n.
     */
    abstract init(): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<L10nLoader, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<L10nLoader>;
}
export declare class L10nDefaultLoader implements L10nLoader {
    private translation;
    constructor(translation: L10nTranslationService);
    init(): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<L10nDefaultLoader, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<L10nDefaultLoader>;
}
export declare class L10nRoutingLoader implements L10nLoader {
    private routing;
    private translation;
    constructor(routing: L10nRoutingService, translation: L10nTranslationService);
    init(): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<L10nRoutingLoader, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<L10nRoutingLoader>;
}
