import * as i0 from "@angular/core";
/**
 * Implement this class-interface to create an handler for missing values.
 */
export declare abstract class L10nMissingTranslationHandler {
    /**
     * This method must contain the logic to handle missing values.
     * @param key The key that has been requested
     * @param value Null or empty string
     * @param params Optional parameters contained in the key
     * @return The value
     */
    abstract handle(key: string, value?: string, params?: any): string | any;
    static ɵfac: i0.ɵɵFactoryDeclaration<L10nMissingTranslationHandler, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<L10nMissingTranslationHandler>;
}
export declare class L10nDefaultMissingTranslationHandler implements L10nMissingTranslationHandler {
    handle(key: string, value?: string, params?: any): string | any;
    static ɵfac: i0.ɵɵFactoryDeclaration<L10nDefaultMissingTranslationHandler, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<L10nDefaultMissingTranslationHandler>;
}
