import { L10nConfig } from '../models/l10n-config';
import * as i0 from "@angular/core";
/**
 * Implement this class-interface to get the user language.
 */
export declare abstract class L10nUserLanguage {
    /**
     * This method must contain the logic to get the user language.
     * @return The user language
     */
    abstract get(): Promise<string | null>;
    static ɵfac: i0.ɵɵFactoryDeclaration<L10nUserLanguage, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<L10nUserLanguage>;
}
export declare class L10nDefaultUserLanguage implements L10nUserLanguage {
    private config;
    constructor(config: L10nConfig);
    get(): Promise<string | null>;
    static ɵfac: i0.ɵɵFactoryDeclaration<L10nDefaultUserLanguage, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<L10nDefaultUserLanguage>;
}
